@import "variables";

@article-indentation: 24px;

.gradient-underline(@color) {
    position: relative;
    &:after {
        content: "";
        position: absolute;
        bottom: -2px;
        left: 0px;
        height: 2px;
        right: 0px;
        background-image: linear-gradient(to right, @color, rgba(red(@color), green(@color), blue(@color), alpha(@color) / 4) 25%, transparent 75%);
    }
}

#content {

    .entry-content {
        margin-top: 2.4em;
        padding-left: 4 * @article-indentation;
        transition: font-size .1s ease-out;
        header.entry-header {
            margin-left: -4 * @article-indentation;
            h1.entry-title {
                .gradient-underline(@ge-color-red);
                margin-left: 0;
            }
        }

        h1 {
            .gradient-underline(@ge-color-red);
            font-size: 2.6em;
            margin-left: -3 * @article-indentation;
        }

        h2 {
            .gradient-underline(@ge-color-blue);
            font-size: 2.15em;
            margin-left: -2 * @article-indentation;
        }

        h3 {
            .gradient-underline(@ge-color-green);
            font-size: 1.7em;
            margin-left: -1 * @article-indentation;
        }

        h1, h2, h3 {
            margin-bottom: 18px;
            margin-top: 0;
        }

        .collapsing {
            margin-left: -4 * @article-indentation;
            padding-left: 4 * @article-indentation;
        }

        [data-toggle="collapse"] {
            cursor: pointer;
            &:before {
                color: @ge-color-red;
                content: "\f0da";
                display: inline-block;
                font-family: FontAwesome;
                font-size: inherit;
                margin-right: .4em;
                transform: rotate(45deg);
                transition: transform 200ms;
            }
            &.collapsed:before {
                transform: none;
            }
        }
    }

}
